Subject: Re: [PATCH net] bonding: alb: fix UAF in rlb_arp_recv during bond up/down

From: Hangbin Liu <[email-masked]>
Date: Fri, 13 Feb 2026 10:30:46 +0000

On Fri, Feb 13, 2026 at 12:16:53PM +0200, Nikolay Aleksandrov wrote:
> Ouch, good catch! By the way I have a (very old) patch that properly
> converts recv_probe to RCU, currently it's missing any annotations on
> the write side. I think I'll revive it when net-next opens up. :)

Yes, I also thought about using RCU. But that changes too much compared
with this one. And bond_close is not a critical area.

Convert it in net-next is a good choice.

Thanks
Hangbin